APIリファレンスConnect 会員事業のプロジェクト

Connect 会員事業のプロジェクト

外部会員自身のプロジェクトを管理する

GET/v1/connect/accounts/{accountId}/projects

プロジェクトを一覧・検索する

この事業の参照できるプロジェクトだけを返します。非公開ユニットはキー発行者の所属制限を保持します。削除済みは含みません。

パスの値

  • accountIdstring必須

    100文字まで

クエリ

  • externalRefstring

    200文字まで

  • querystring

    50文字まで

  • statusenum
    backlognot_startedin_progresscompletedarchived
  • parentProjectIdstring

    100文字まで

  • cursorstring

    100文字まで

  • limitinteger

    1〜100

返る項目data の中身 · 200

  • titlestring
  • summarystring | null
  • startDatetimestring (date-time) | null
  • endDatetimestring (date-time) | null
  • statusenum
    backlognot_startedin_progresscompletedarchived
  • parentProjectIdstring | null

    100文字まで

  • idstring
  • externalRefstring | null
  • isArchivedboolean
  • hierarchyDepthinteger

    0以上

  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/accounts/{accountId}/projects
curl https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/projects \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": [
    {
      "title": "Webサイト制作の業務委託",
      "summary": "…",
      "startDatetime": "2026-11-01T09:00:00.000Z",
      "endDatetime": "2026-11-01T09:00:00.000Z",
      "status": "backlog",
      "parentProjectId": "clx8k2m0a0001",
      "id": "clx8k2m0a0001",
      "externalRef": "staff-0001",
      "isArchived": false,
      "hierarchyDepth": 0,
      "createdAt": "2026-11-01T09:00:00.000Z",
      "updatedAt": "2026-11-01T09:00:00.000Z"
    }
  ],
  "nextCursor": null
}
POST/v1/connect/accounts/{accountId}/projects

プロジェクトを作る

titleだけで作成できます。externalRefは事業内で一意。同じ入力の再送は同じ記録、異なる入力は409 external_ref_conflictです。親を指定すると既存の階層・ユニットを引き継ぎます。公開・招待・受発注は行いません。

パスの値

  • accountIdstring必須

    100文字まで

送る項目JSON · 7項目

  • titlestring必須

    50文字まで

  • summarystring | null

    200文字まで

  • startDatetimestring (date-time) | null
  • endDatetimestring (date-time) | null
  • statusenum
    backlognot_startedin_progresscompletedarchived
  • parentProjectIdstring | null

    100文字まで

  • externalRefstring

    200文字まで

返る項目data の中身 · 200

  • titlestring
  • summarystring | null
  • startDatetimestring (date-time) | null
  • endDatetimestring (date-time) | null
  • statusenum
    backlognot_startedin_progresscompletedarchived
  • parentProjectIdstring | null

    100文字まで

  • idstring
  • externalRefstring | null
  • isArchivedboolean
  • hierarchyDepthinteger

    0以上

  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

  • 409external_ref_conflict

    異なる入力

POST/v1/…/accounts/{accountId}/projects
curl -X POST https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/projects \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "Webサイト制作の業務委託",
  "externalRef": "staff-0001"
}'
レスポンス
{
  "data": {
    "title": "Webサイト制作の業務委託",
    "summary": "…",
    "startDatetime": "2026-11-01T09:00:00.000Z",
    "endDatetime": "2026-11-01T09:00:00.000Z",
    "status": "backlog",
    "parentProjectId": "clx8k2m0a0001",
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "isArchived": false,
    "hierarchyDepth": 0,
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
GET/v1/connect/accounts/{accountId}/projects/{id}

プロジェクトを取得する

パスの値

  • accountIdstring必須

    100文字まで

  • idstring必須

    100文字まで

返る項目data の中身 · 200

  • titlestring
  • summarystring | null
  • startDatetimestring (date-time) | null
  • endDatetimestring (date-time) | null
  • statusenum
    backlognot_startedin_progresscompletedarchived
  • parentProjectIdstring | null

    100文字まで

  • idstring
  • externalRefstring | null
  • isArchivedboolean
  • hierarchyDepthinteger

    0以上

  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/accounts/{accountId}/projects/{id}
curl https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/projects/clx8k2m0a0001 \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": {
    "title": "Webサイト制作の業務委託",
    "summary": "…",
    "startDatetime": "2026-11-01T09:00:00.000Z",
    "endDatetime": "2026-11-01T09:00:00.000Z",
    "status": "backlog",
    "parentProjectId": "clx8k2m0a0001",
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "isArchived": false,
    "hierarchyDepth": 0,
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
PATCH/v1/connect/accounts/{accountId}/projects/{id}

プロジェクトの内容・状態・親を変更する

expectedUpdatedAtに直前のupdatedAtを指定します。古い版は409 version_conflict。archivedで保留、not_started等で再開できます。有効な子がある親の保留・深さを超える親子関係は拒否します。公開・削除・担当者・予算は変更しません。

パスの値

  • accountIdstring必須

    100文字まで

  • idstring必須

    100文字まで

送る項目JSON · 7項目

  • titlestring

    50文字まで

  • summarystring | null

    200文字まで

  • startDatetimestring (date-time) | null
  • endDatetimestring (date-time) | null
  • statusenum
    backlognot_startedin_progresscompletedarchived
  • parentProjectIdstring | null

    100文字まで

  • expectedUpdatedAtstring (date-time)必須

返る項目data の中身 · 200

  • titlestring
  • summarystring | null
  • startDatetimestring (date-time) | null
  • endDatetimestring (date-time) | null
  • statusenum
    backlognot_startedin_progresscompletedarchived
  • parentProjectIdstring | null

    100文字まで

  • idstring
  • externalRefstring | null
  • isArchivedboolean
  • hierarchyDepthinteger

    0以上

  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

  • 409version_conflict

    古い版

PATCH/v1/…/accounts/{accountId}/projects/{id}
curl -X PATCH https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/projects/clx8k2m0a0001 \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "Webサイト制作の業務委託",
  "expectedUpdatedAt": "2026-11-01T09:00:00.000Z"
}'
レスポンス
{
  "data": {
    "title": "Webサイト制作の業務委託",
    "summary": "…",
    "startDatetime": "2026-11-01T09:00:00.000Z",
    "endDatetime": "2026-11-01T09:00:00.000Z",
    "status": "backlog",
    "parentProjectId": "clx8k2m0a0001",
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "isArchived": false,
    "hierarchyDepth": 0,
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}